Imports System
Imports System.DateTime

Namespace RTP.HTMLNewsletter

#Region "NewsletterInfo Class "

    Public Class NewsletterInfo

#Region "Private Members"
        Private _NewsletterID As Integer
        Private _NewsletterDate As String
        Private _NewsletterDesc As String
        Private _NewsletterBody As String
        Private _NewsletterAttachment As String
        Private _NewsletterSummary As String
        Private _NewsletterRoleSent As Integer
        Private _NewsletterUserID As Integer
        Private _NewsletterEmail As String
        Private _EditVisibility As Boolean
        Private _URL As String
        Private _ModuleID As Integer
        Private _DateCreated As DateTime
        Private _DateUpdated As DateTime
        Private _ArticleID As Integer
        Private _ArticleTabModuleID As Integer
        Private _Published As Boolean
        Private _FooterTemplate As String
        Private _PublishDate As DateTime

#End Region

#Region "Constructors"

        ' initialization
        Public Sub New()
        End Sub
#End Region

#Region "Public Properties"

        ' public properties
        Property NewsletterID() As Integer
            Get
                Return _NewsletterID
            End Get
            Set(ByVal Value As Integer)
                _NewsletterID = Value
            End Set
        End Property

        Property NewsletterDate() As String
            Get
                Return _NewsletterDate
            End Get
            Set(ByVal Value As String)
                _NewsletterDate = Value
            End Set
        End Property

        Property URL() As String
            Get
                Return _URL
            End Get
            Set(ByVal Value As String)
                _URL = Value
            End Set
        End Property

        Property NewsletterDesc() As String
            Get
                Return _NewsletterDesc
            End Get
            Set(ByVal Value As String)
                _NewsletterDesc = Value
            End Set
        End Property

        Property NewsletterBody() As String
            Get
                Return _NewsletterBody
            End Get
            Set(ByVal Value As String)
                _NewsletterBody = Value
            End Set
        End Property

        Property NewsletterAttachment() As String
            Get
                Return _NewsletterAttachment
            End Get
            Set(ByVal Value As String)
                _NewsletterAttachment = Value
            End Set
        End Property

        Property NewsletterSummary() As String
            Get
                Return _NewsletterSummary
            End Get
            Set(ByVal Value As String)
                _NewsletterSummary = Value
            End Set
        End Property

        Property NewsletterRoleSent() As Integer
            Get
                Return _NewsletterRoleSent
            End Get
            Set(ByVal Value As Integer)
                _NewsletterRoleSent = Value
            End Set
        End Property

        Property NewsletterUserID() As Integer
            Get
                Return _NewsletterUserID
            End Get
            Set(ByVal Value As Integer)
                _NewsletterUserID = Value
            End Set
        End Property

        Property NewsletterEmail() As String
            Get
                Return _NewsletterEmail
            End Get
            Set(ByVal Value As String)
                _NewsletterEmail = Value
            End Set
        End Property

        Property EditVisibility() As Boolean
            Get
                Return _EditVisibility
            End Get
            Set(ByVal Value As Boolean)
                _EditVisibility = Value
            End Set
        End Property

        Property ModuleID() As Integer
            Get
                Return _ModuleID
            End Get
            Set(ByVal Value As Integer)
                _ModuleID = Value
            End Set
        End Property

        Property DateCreated() As DateTime
            Get
                Return _DateCreated
            End Get
            Set(ByVal Value As DateTime)
                _DateCreated = Value
            End Set
        End Property

        Property DateUpdated() As DateTime
            Get
                Return _DateUpdated
            End Get
            Set(ByVal Value As DateTime)
                _DateUpdated = Value
            End Set
        End Property

        Property ArticleID() As Integer
            Get
                Return _ArticleID
            End Get
            Set(ByVal Value As Integer)
                _ArticleID = Value
            End Set
        End Property

        Property ArticleTabModuleID() As Integer
            Get
                Return _ArticleTabModuleID
            End Get
            Set(ByVal Value As Integer)
                _ArticleTabModuleID = Value
            End Set
        End Property

        Property Published() As Boolean
            Get
                Return _Published
            End Get
            Set(ByVal Value As Boolean)
                _Published = Value
            End Set
        End Property

        Property FooterTemplate() As String
            Get
                Return _FooterTemplate
            End Get
            Set(ByVal Value As String)
                _FooterTemplate = Value
            End Set
        End Property

        Property PublishDate() As DateTime
            Get
                Return _PublishDate
            End Get
            Set(ByVal Value As DateTime)
                _PublishDate = Value
            End Set
        End Property


#End Region

    End Class
#End Region

#Region "NewsletterTemplateInfo Class "

    Public Class NewsletterTemplateInfo

#Region "Private Members"
        Private _TemplateID As Integer
        Private _TemplateDate As DateTime
        Private _TemplateBody As String
        Private _TemplateName As String
#End Region

#Region "Constructors"

        ' initialization
        Public Sub New()
        End Sub
#End Region

#Region "Public Properties"

        ' public properties
        Property TemplateID() As Integer
            Get
                Return _TemplateID
            End Get
            Set(ByVal Value As Integer)
                _TemplateID = Value
            End Set
        End Property

        Property TemplateDate() As Date
            Get
                Return _TemplateDate
            End Get
            Set(ByVal Value As Date)
                _TemplateDate = Value
            End Set
        End Property

        Property TemplateBody() As String
            Get
                Return _TemplateBody
            End Get
            Set(ByVal Value As String)
                _TemplateBody = Value
            End Set
        End Property

        Property TemplateName() As String
            Get
                Return _TemplateName
            End Get
            Set(ByVal Value As String)
                _TemplateName = Value
            End Set
        End Property


#End Region

    End Class
#End Region

#Region "NewsletterUserInfo Class "

    Public Class NewsletterUserInfo

#Region "Private Members"
        Private _NewsletterID As Integer
        Private _DateSent As DateTime
        Private _UserID As Integer
        Private _Ignore As Boolean
        Private _Sent As Boolean
        Private _DateCreated As DateTime
        Private _UserEmail As String
        Private _NewsletterUsersID As Integer
        Private _NewsletterCategoryID As Integer
        Private _PublishDate As DateTime
        Private _DateUpdated As DateTime
        Private _PortalAliasID As Integer

#End Region

#Region "Constructors"

        ' initialization
        Public Sub New()
        End Sub
#End Region

#Region "Public Properties"

        ' public properties
        Property NewsletterID() As Integer
            Get
                Return _NewsletterID
            End Get
            Set(ByVal Value As Integer)
                _NewsletterID = Value
            End Set
        End Property


        Property UserID() As Integer
            Get
                Return _UserID
            End Get
            Set(ByVal Value As Integer)
                _UserID = Value
            End Set
        End Property

        Property DateSent() As DateTime
            Get
                Return _DateSent
            End Get
            Set(ByVal Value As DateTime)
                _DateSent = Value
            End Set
        End Property

        Property Ignore() As Boolean
            Get
                Return _Ignore
            End Get
            Set(ByVal Value As Boolean)
                _Ignore = Value
            End Set
        End Property

        Property Sent() As Boolean
            Get
                Return _Sent
            End Get
            Set(ByVal Value As Boolean)
                _Sent = Value
            End Set
        End Property

        Property DateCreated() As DateTime
            Get
                Return _DateCreated
            End Get
            Set(ByVal Value As DateTime)
                _DateCreated = Value
            End Set
        End Property

        Property UserEmail() As String
            Get
                Return _UserEmail
            End Get
            Set(ByVal Value As String)
                _UserEmail = Value
            End Set
        End Property

        Property NewsletterUsersID() As Integer
            Get
                Return _NewsletterUsersID
            End Get
            Set(ByVal Value As Integer)
                _NewsletterUsersID = Value
            End Set
        End Property

        Property NewsletterCategoryID() As Integer
            Get
                Return _NewsletterCategoryID
            End Get
            Set(ByVal Value As Integer)
                _NewsletterCategoryID = Value
            End Set
        End Property

        Property PublishDate() As DateTime
            Get
                Return _PublishDate
            End Get
            Set(ByVal Value As DateTime)
                _PublishDate = Value
            End Set
        End Property

        Property DateUpdated() As DateTime
            Get
                Return _DateUpdated
            End Get
            Set(ByVal Value As DateTime)
                _DateUpdated = Value
            End Set
        End Property

        Property PortalAliasID() As Integer
            Get
                Return _PortalAliasID
            End Get
            Set(ByVal Value As Integer)
                _PortalAliasID = Value
            End Set
        End Property


#End Region

    End Class

#End Region

#Region "NewsletterCategoryInfo Class "

    Public Class NewsletterCategoryInfo

#Region "Private Members"
        Private _NewsletterID As Integer
        Private _CategoryID As Integer
        Private _NewsletterCategoryID As Integer
        Private _IsDeleted As Boolean
#End Region

#Region "Constructors"

        ' initialization
        Public Sub New()
        End Sub
#End Region

#Region "Public Properties"

        ' public properties
        Property NewsletterID() As Integer
            Get
                Return _NewsletterID
            End Get
            Set(ByVal Value As Integer)
                _NewsletterID = Value
            End Set
        End Property


        Property CategoryID() As Integer
            Get
                Return _CategoryID
            End Get
            Set(ByVal Value As Integer)
                _CategoryID = Value
            End Set
        End Property

        Property NewsletterCategoryID() As Integer
            Get
                Return _NewsletterCategoryID
            End Get
            Set(ByVal Value As Integer)
                _NewsletterCategoryID = Value
            End Set
        End Property

        Property IsDeleted() As Boolean
            Get
                Return _IsDeleted
            End Get
            Set(ByVal Value As Boolean)
                _IsDeleted = Value
            End Set
        End Property

#End Region

    End Class

#End Region

End Namespace