<%@ Control Language="vb" AutoEventWireup="false" Explicit="True" Codebehind="HTMLNewsletter.ascx.vb" Inherits="RTP.HTMLNewsletter.HTMLNewsletter" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke.Web" Namespace="DotNetNuke.Web.UI.WebControls" %>
<dnn:DnnToolTipManager 
        ID="toolTipManager" runat="server"  HideEvent="LeaveTargetAndToolTip" Modal="False" EnableShadow="True" CssClass="HTMLNtooltip" ShowCallout="False" OffsetY="10" />

<a id="Top"></a>
<table id="NewsletterTable" cellspacing="1" cellpadding="1" width="100%" border="0">
    <tr>
        <td id="NewsletterIcons" runat="server" class="HTMLNIcons" visible="false" colspan="3">
            <asp:ImageButton ID="btnNewNewsletter" runat="server" AlternateText="New Email" 
                IconKey="ExtWri"/>&nbsp;
        	<asp:linkbutton id="cmdNewNewsletter" runat="server" Text="NewNewsletter" resourcekey="NewNewsletter">New Newsletter</asp:linkbutton>
         </td>
    </tr>
	<tr>
		<td valign="top"><asp:gridview id="dgPNL" runat="server" PageSize="20" AutoGenerateColumns="false" GridLines="None" 
		        cssclass="HTMLNGrid" AllowPaging="True">
				    <AlternatingRowStyle CssClass="HTMLNAlternate"/>
                    <HeaderStyle CssClass="HTMLNHeader"></HeaderStyle>
				<RowStyle CssClass="HTMLNRow"/>
                    <PagerStyle CssClass="HTMLNPager" />
				<Columns>
					<asp:TemplateField>
                        <ItemStyle CssClass="HTMLNEdit"></ItemStyle>
						<ItemTemplate>
        		           <asp:ImageButton id="btnEdit" IconKey="Edit"  Commandname = "Edit" runat="server" visible='<%# DataBinder.Eval(Container.DataItem,"EditVisibility") %>' CommandArgument='<%# DataBinder.Eval(Container.DataItem,"NewsletterID") %>'/>
		                   <asp:HyperLink id="lnkEmail" IconKey="Email" runat="server" ToolTip='<%# DataBinder.Eval(Container.DataItem,"NewsletterEmail") %>' NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "NewsletterEmail","mailto:{0}")+DataBinder.Eval(Container.DataItem, "NewsletterDesc","?subject={0}") %>'></asp:HyperLink>
						</ItemTemplate>
					</asp:TemplateField>
					<asp:TemplateField HeaderText="Newsletter">
                        <ItemStyle CssClass="HTMLNTitle"></ItemStyle>
						<ItemTemplate>
							<asp:hyperlink id="Title" runat="server" NavigateUrl='<%# ViewNewsletter(CInt(DataBinder.Eval(Container.DataItem,"NewsletterID"))) %>' Text='<%# DataBinder.Eval(Container.DataItem,"NewsletterDesc") %>'>
							</asp:hyperlink>
						</ItemTemplate>
					</asp:TemplateField>
					<asp:TemplateField HeaderText="Date">
                        <ItemStyle CssClass="HTMLNDate"></ItemStyle>
						<ItemTemplate>
							<asp:Label id="Date" runat="server" Text='<%# ShowDate(DataBinder.Eval(Container.DataItem,"PublishDate")) %>'>
							</asp:Label>
						</ItemTemplate>
					</asp:TemplateField>
                    <asp:TemplateField headerText="Published">
                        <ItemStyle CssClass="HTMLNPublished"></ItemStyle>
                        <ItemTemplate>
                            <asp:CheckBox ID="chkApproved" runat="server" Enabled="false" Checked='<%# DataBinder.Eval(Container.DataItem,"Published") %>'/>
                        </ItemTemplate>
                    </asp:TemplateField>
				</Columns>
			</asp:gridview>
		</td>
		<td style="width:10"></td>
		<td style="width:100%" valign="top">
			<asp:Panel ID="pnlModuleContent" Runat="server">
				<table cellspacing="0" cellpadding="0" border="0" style="width:100%">
					<tr valign="top">
						<td class="Normal">
                            <div id="HtmlHolder" class="HTMLNHolder" runat="server" style="width:90%;text-align:left;" />
						</td>
					</tr>
				</table>
			</asp:Panel>
		</td>
	</tr>
</table>
<div id="divitcFooter" runat="server"/>
