<%@ Control Language="vb" AutoEventWireup="false" Explicit="True" Codebehind="HTMLNewsletterEdit.ascx.vb" Inherits="RTP.HTMLNewsletter.HTMLNewsletterEdit" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke.Web" Namespace="DotNetNuke.Web.UI.WebControls" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>

<div class="dnnForm NewsletterEdit">
        <div class="dnnFormItem">
		    <asp:label id="lblMessage" runat="server" cssclass="dnnFormMessage dnnFormValidationSummary" Visible="False"></asp:label>
        </div>
    <ul class="dnnActions dnnClear">
        <li><asp:linkbutton id="cmdSend" runat="server" Text="Update" CssClass="dnnPrimaryAction"  resourcekey="Send" ValidationGroup="HTMLNSend">Save & Send</asp:linkbutton></li>
		<li><asp:linkbutton id="cmdCancel" runat="server" Text="Cancel" CssClass="dnnSecondaryAction" resourcekey="Cancel" CausesValidation="False" BorderStyle="none">Cancel</asp:linkbutton></li>
        <li>
            <asp:dropdownlist runat="server" id="ddlPublish" runat="server" Width="100px">
                <asp:ListItem resourcekey="Draft" Value="False">Draft</asp:ListItem>
                <asp:ListItem resourcekey="Publish" Value="True" Selected="True">Publish</asp:ListItem>
            </asp:dropdownlist>
        </li>
    </ul> 
    <fieldset>
        <div class="dnnFormItem">
            <dnn:Label ID="lblSendFrom" runat="server" resourcekey="SendFrom" CssClass="SubHead"></dnn:Label>
            <asp:textbox id="txtUserid" runat="server" Width="594px"  ReadOnly="True" ForeColor="DimGray"></asp:textbox>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblSendTo" runat="server" resourcekey="SendTo" CssClass="SubHead"></dnn:Label>
		    <dnn:DnnComboBox ID="ddlRadRoles" runat="server" width="600px" AllowCustomText="False" DataValueField="RoleID" DataTextField="RoleName" CheckBoxes="True">
		    </dnn:DnnComboBox>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblYourSelf" runat="server" resourcekey="SendToYourself" CssClass="SubHead"></dnn:Label>
    	    <asp:CheckBox ID="chkYourself" runat="server" cssclass="SubHead" />
        </div>
        <div id="divPublishTo" runat="server">
            <div class="dnnFormItem">
                <dnn:Label ID="lblPublishTo" runat="server" resourcekey="PublishTo" CssClass="SubHead"></dnn:Label>
		        <dnn:DnnComboBox ID="ddlNAModules" runat="server" width="600px" DataValueField="CategoryId" 
		            DataTextField="CategoryName" AutoPostBack="true">
		        </dnn:DnnComboBox>
            </div>
        </div>
        <div id="divPublishToCats" runat="server">
            <div class="dnnFormItem">
                <dnn:Label ID="lblPublishToCats" runat="server" resourcekey="PublishToCats" CssClass="SubHead"></dnn:Label>
		        <dnn:DnnComboBox ID="ddlNACats" runat="server" width="600px" AllowCustomText="False" DataValueField="CategoryId" DataTextField="CategoryName" CheckBoxes="True">
		        </dnn:DnnComboBox>
            </div>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblSubject" runat="server" resourcekey="Subject" CssClass="SubHead dnnFormRequired"></dnn:Label>
            <asp:textbox id="Subject" runat="server" Width="594px" MaxLength="100" CssClass="dnnFormRequired"></asp:textbox>
            <asp:RequiredFieldValidator id="valRequiredSubject" runat="server" cssclass="dnnFormMessage dnnFormError" resourcekey="SubjectError" ControlToValidate="Subject" ValidationGroup="HTMLNSend"></asp:RequiredFieldValidator>
        </div>
        <div id="divSummary" runat="server">
            <div class="dnnFormItem">
                <dnn:Label ID="lblSummary" runat="server" resourcekey="Summary" CssClass="SubHead"></dnn:Label>
                <table><tr><td style="padding:0;">
                    <dnn:texteditor id="tbSummary" runat="server"  height="300px" Width="594px"  textrendermode="Raw"
				        htmlencode="False" defaultmode="Rich" choosemode="True" chooserender="False"></dnn:texteditor>
                </td></tr></table>
            </div>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblBody" runat="server" resourcekey="Body" CssClass="SubHead"></dnn:Label>
            <table><tr><td style="padding:0;">
			    <dnn:texteditor id="ftbDesktopText" runat="server" height="400px" width="594px" textrendermode="Raw"
				    htmlencode="False" defaultmode="Rich" choosemode="True" chooserender="False"></dnn:texteditor>
            </td></tr></table>
        </div>
        <div class="dnnFormItem">
            <dnn:Label ID="lblLoadTemplate" runat="server" resourcekey="LoadTemplate" CssClass="SubHead"></dnn:Label>
		    <asp:dropdownlist id="ddlTemplate" runat="server" Width="600px"  AutoPostBack="True"></asp:dropdownlist>
        </div>
        <div>
        	<asp:linkbutton id="cmdSaveTemplateAs" runat="server" Text="SaveTemplateAs" CssClass="HTMLNButton HTMLNSTA" resourcekey="SaveTemplateAs"
		    	BorderStyle="none" ValidationGroup="HTMLNTemplateSave"></asp:linkbutton>
            <asp:textbox id="tbTemplateName" runat="server" Width="178px"></asp:textbox>
            <asp:RequiredFieldValidator id="valRequiredTemplate" runat="server" cssclass="dnnFormMessage dnnFormError" resourcekey="SaveTemplateError" ControlToValidate="tbTemplateName" ValidationGroup="HTMLNTemplateSave"></asp:RequiredFieldValidator>
        </div>
        <div class="HTMLNButtons">
		    <asp:linkbutton id="cmdSaveTemplate" runat="server" Text="SaveTemplate" CssClass="HTMLNButton"  resourcekey="SaveTemplate"
				CausesValidation="False" BorderStyle="none" Visible="False">Save Template</asp:linkbutton>
			<asp:linkbutton id="cmdDeleteTemplate" runat="server" Text="DeleteTemplate" CssClass="HTMLNButton"  resourcekey="DeleteTemplate"
				CausesValidation="False" BorderStyle="none" Visible="False">Delete Template</asp:linkbutton>
		    <asp:linkbutton id="cmdDeleteArchivedNewsletter" runat="server" Text="DeleteNL" CssClass="HTMLNButton"  resourcekey="DeleteArchivedNewsletter"
				CausesValidation="False" BorderStyle="none" Height="16px" Visible="False">Delete Archived Newsletter</asp:linkbutton>
        </div>
    </fieldset>
</div>


